//Include global module
var globals = require('./global')
var testGlobal = require('./test/testGlobal.js')

function welcome() {
    var nsa = require('./nationalservicealliance')()
    nsa.welcome(function (data, status) {
        console.log(data);
        console.log(status);
    })
}

welcome();

function Login() {

    var nsa = require('./nationalservicealliance')()

    var objLogin = {};

    var objState = {};

    objState.username = 'johns';
    objState.password = 'sachannew';
    objState.latitude = 123.12
    objState.longitude = 456.45

    objLogin.state = objState;

    //Call API
    nsa.login(testGlobal.testCurrentObject, function (data, statusCode) {

        //Writing response
        //res.write("You have successfully logged in");
        console.log(data);
        var datasend = new Object();
        datasend.statusCode = statusCode;
        datasend.data = data;
        if (statusCode == 200) {
            testGlobal.testCurrentObject.state.token = data.jwt;
            testGlobal.testCurrentObject.state.refreshToken = data.refreshToken;
            //RefreshLogin();
            //Logout();
            ListUsers();
            //UpdateUser();
            //UpdateUserPassword();
            //testRemoveAvailability();

        }

    });
}

//Login();

function RefreshLogin() {
    var nsa = require('./nationalservicealliance')()

    //Call API
    nsa.refreshLogin(testGlobal.testCurrentObject, function (data, statusCode) {

        //Writing response
        //res.write("You have successfully logged in");
        console.log(data);
        console.log(statusCode);

    });
}

function Logout() {
    var nsa = require('./nationalservicealliance')()

    //Call API
    nsa.logout(testGlobal.testCurrentObject, function (data, statusCode) {

        //Writing response
        //res.write("You have successfully logged in");
        console.log('logged out');
        console.log(statusCode);

    });
}

function ListUsers() {
    var nsa = require('./nationalservicealliance')(global.token)

    //Call API
    nsa.listUsers(testGlobal.testCurrentObject, function (data, statusCode) {
        console.log(data);
        console.log(statusCode);
    });
}

function UpdateUser() {
    var nsa = require('./nationalservicealliance')(global.token)

    var objUpdateUser = {};

    var objState = {};

    objState.id = '22';
    objState.token = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkZXBvdCI6Ik5ZQyIsImV4cCI6MTQ3MTg3NDcxMSwiaXNzIjoiU0YiLCJ1c2VySUQiOiIyMiIsInVzZXJOYW1lIjoiam9obnMifQ.ZVXClh28SFYFN6tQjr88U2BPV1aM1HpaHwlooMVji8I';
    objState.latitude = 123.12;
    objState.longitude = 456.45;

    var requestData =
        {
            firstName: "John",
            lastName: "Doe",
            email: "john.doe@test.com"
        }

    objState.requestData = requestData;


    objUpdateUser.state = objState;


    //Call API
    nsa.updateUser(objUpdateUser, function (data, statusCode) {
        console.log(data);
        console.log(statusCode);
    });
}

function UpdateUserPassword() {
    var nsa = require('./nationalservicealliance')(global.token)

    var requestData = ` {
                "oldPassword": "OLD_PASSWORD",
                "newPassword": "NEW_PASSWORD"
            }`

    //Call API
    nsa.updateUserPassword('22', JSON.parse(requestData), '123.33', '456.56', this, function (data, statusCode) {
        console.log(data);
        console.log(statusCode);
    });
}

function testWelcome() {
    globals.welcome.getWelcome('/', 'GET', 8900, 'myhost', function (data, status) {

        console.log(data);
        console.log(status);
    })
}

//testWelcome();

function testRemoveAvailability() {
        var nsa = require('./nationalservicealliance')()

        testGlobal.testCurrentObject.state.date = '2016-03-04'

        nsa.removeAvailabilityByDate(testGlobal.testCurrentObject, function (data, status) {

           console.log(data);
           console.log(status);
        })
}

